> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v3producers

> Returns a list of dictionaries with key information for producers



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/producers/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/:
    post:
      tags:
        - producers
      description: Returns a list of dictionaries with key information for producers
      operationId: producers_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProducerRegistration'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ProducerRegistration'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ProducerRegistration'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProducerRegistrationResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: string
                example:
                  email:
                    - Enter a valid email address.
                  non_field_errors:
                    - Invalid combination of fields.
              examples:
                SaasCustomerIdNoConsumer:
                  value:
                    saas_customer_id:
                      - no consumer with id <customer_id> found
                  summary: saas customer id no consumer
                SaasCustomerIdNoProducer:
                  value:
                    saas_customer_id:
                      - no producer with id <customer_id> found
                  summary: saas customer id no producer
                SaasContractIdNotUnique:
                  value:
                    saas_contract_id:
                      - saas_contract_id not unique
                  summary: saas contract id not unique
                SaasCustomerIdRequired:
                  value:
                    saas_customer_id:
                      - saas_customer_id is required
                  summary: saas customer id required
                SaasCustomerIdExistsConsumer:
                  value:
                    saas_customer_id:
                      - consumer with the saas_customer_id already exists
                  summary: saas customer id exists consumer
                SaasCustomerIdExistsProducer:
                  value:
                    saas_customer_id:
                      - producer with the saas_customer_id already exists
                  summary: saas customer id exists producer
                OrderDateFuture:
                  value:
                    order_date:
                      - The date cannot be in future
                  summary: order date future
                ConsumptionByOwnerPercentageDefault:
                  value:
                    consumption_by_owner_percentage_default:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage default
                ConsumptionByOwnerPercentageMon:
                  value:
                    consumption_by_owner_percentage_mon:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage mon
                ConsumptionByOwnerPercentageTue:
                  value:
                    consumption_by_owner_percentage_tue:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage tue
                ConsumptionByOwnerPercentageWed:
                  value:
                    consumption_by_owner_percentage_wed:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage wed
                ConsumptionByOwnerPercentageThu:
                  value:
                    consumption_by_owner_percentage_thu:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage thu
                ConsumptionByOwnerPercentageFri:
                  value:
                    consumption_by_owner_percentage_fri:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage fri
                ConsumptionByOwnerPercentageSat:
                  value:
                    consumption_by_owner_percentage_sat:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage sat
                ConsumptionByOwnerPercentageSun:
                  value:
                    consumption_by_owner_percentage_sun:
                      - field may not be used with production type battery
                  summary: consumption by owner percentage sun
                PreferredDeliveryStartMonthAfterNext:
                  value:
                    preferred_delivery_start:
                      - >-
                        Delivery start must be at least the month after next and
                        the first of month.
                  summary: preferred delivery start month after next
                PreferredDeliveryStartNextMonth:
                  value:
                    preferred_delivery_start:
                      - Delivery start must be at least the after next month.
                  summary: preferred delivery start next month
                PreferredDeliveryStart10Days:
                  value:
                    preferred_delivery_start:
                      - Delivery start must be at least 10 working days.
                  summary: preferred delivery start 10 days
                UsernameNotUnique:
                  value:
                    username:
                      - The username is not unique
                  summary: username not unique
                EmailNotUnique:
                  value:
                    email:
                      - The email address using as username is not unique
                  summary: email not unique
                CompanyNameRequiredForCompanies:
                  value:
                    company_name:
                      - For companies the company name is required
                  summary: company name required for companies
                CompanyNameNotForNonBusiness:
                  value:
                    company_name:
                      - Company name shall be given only for business customers
                  summary: company name not for non business
                IsReverseChargeCompanyOnly:
                  value:
                    is_reverse_charge:
                      - Reverse charge is only possible if customer is company
                  summary: is reverse charge company only
                IsSmallBusinessPrivateOnly:
                  value:
                    is_small_business:
                      - Reverse charge is only possible if customer is private
                  summary: is small business private only
                DetailZipcodeNotFound:
                  value:
                    detail:
                      - Zipcode not found in database
                  summary: detail zipcode not found
                BankDataFirstNameRequiredPrivate:
                  value:
                    bank_data_first_name:
                      - bank data first name is required for private consumer
                  summary: bank data first name required private
                BankDataIbanIncorrect:
                  value:
                    bank_data_iban:
                      - IBAN is not correct.
                  summary: bank data iban incorrect
                BankDataIbanRequiredWithBic:
                  value:
                    bank_data_iban:
                      - This field is required if bank_data_bic is used
                  summary: bank data iban required with bic
                BankDataIbanNotPermitted:
                  value:
                    bank_data_iban:
                      - this field is not permitted for the given payment method
                  summary: bank data iban not permitted
                BankDataBicIncorrect:
                  value:
                    bank_data_bic:
                      - BIC is not correct
                  summary: bank data bic incorrect
                BankDataLastNameRequiredWithFirstName:
                  value:
                    bank_data_last_name:
                      - This field is required if bank_data_first_name is used
                  summary: bank data last name required with first name
                SepaDateInPastOrToday:
                  value:
                    sepa_date:
                      - the sepa_date must be in past or today
                  summary: sepa date in past or today
                SepaDateRequiredForDirectDebit:
                  value:
                    sepa_date:
                      - 'Required for payment_method: direct_debit'
                  summary: sepa date required for direct debit
                PaymentMethodNotSupportedBySalespartner:
                  value:
                    payment_method:
                      - Not supported by salespartner <salespartner_id>
                  summary: payment method not supported by salespartner
                FormerSupplierContractTerminationDateRequired:
                  value:
                    former_supplier_contract_termination_date:
                      - termination date must be provided
                  summary: former supplier contract termination date required
                FormerSupplierContractTerminationDateInvalid:
                  value:
                    former_supplier_contract_termination_date:
                      - invalid date
                  summary: former supplier contract termination date invalid
                FormerSupplierContractTerminationDatePastLimit:
                  value:
                    former_supplier_contract_termination_date:
                      - cannot be in the more than 5 weeks in the past
                  summary: former supplier contract termination date past limit
                MarketLocationIdentifierRequiredIfNoTranche:
                  value:
                    market_location_identifier:
                      - must be provided if tranche is not provided
                  summary: market location identifier required if no tranche
                TrancheRequiredIfNoMarketLocationIdentifier:
                  value:
                    tranche:
                      - >-
                        must be provided if market_location_identifier is not
                        provided
                  summary: tranche required if no market location identifier
                PlantSpecificsCapacityMismatch:
                  value:
                    plant_specifics:
                      - >-
                        sum of capacities of sub units of
                        <total_sub_unit_capacity> does not match total capacity
                        of <total_capacity>
                  summary: plant specifics capacity mismatch
                SubscriptionReasonInvalidCompensation:
                  value:
                    subscription_reason:
                      - >-
                        when former form of compensation is provided, only
                        <acceptable_subscription_reason> is an acceptable value
                  summary: subscription reason invalid compensation
                ProductNameNotExists:
                  value:
                    product_name:
                      - Product not exists
                  summary: product name not exists
                ProductNameNotAllowedForBusiness:
                  value:
                    product_name:
                      - >-
                        Product "<product_name>" not allowed for
                        is_business=<bool>
                  summary: product name not allowed for business
                ConsumerSaasContractIdProductNotExists:
                  value:
                    consumer_saas_contract_id:
                      - >-
                        Consumer contract with product <product_name> does not
                        exists
                  summary: consumer saas contract id product not exists
                MarketLocationIdentifierNotString:
                  value:
                    market_location_identifier:
                      - market location ID <malo_id> is not a string
                  summary: market location identifier not string
                MarketLocationIdentifierInvalidLength:
                  value:
                    market_location_identifier:
                      - >-
                        market location ID <malo_id> must be 11 characters long,
                        but length is <length> characters
                  summary: market location identifier invalid length
                MarketLocationIdentifierOnlyNumbers:
                  value:
                    market_location_identifier:
                      - market location ID may only contain numbers
                  summary: market location identifier only numbers
                MarketLocationIdentifierStartWith19:
                  value:
                    market_location_identifier:
                      - market location ID may only start with the numbers 1-9
                  summary: market location identifier start with 1 9
                MarketLocationIdentifierCheckDigit:
                  value:
                    market_location_identifier:
                      - >-
                        market location ID check digit must have value
                        <right_value> not <wrong_value>
                  summary: market location identifier check digit
                MeterIdTooLong:
                  value:
                    meter_id:
                      - Meter ident is longer than 16 characters.
                  summary: meter id too long
                MeterIdTooShort:
                  value:
                    meter_id:
                      - Meter ident contains only 4 or less characters.
                  summary: meter id too short
                MeterIdInvalidIdent:
                  value:
                    meter_id:
                      - Only characters found in meter ident, invalid ident
                  summary: meter id invalid ident
                MeterIdIllegalCharacters:
                  value:
                    meter_id:
                      - 'Illegal character(s) found: <list of characters>'
                  summary: meter id illegal characters
                MeterIdIllegalStrings:
                  value:
                    meter_id:
                      - 'Illegal string(s) found: <list of strings>'
                  summary: meter id illegal strings
          description: >-
            DRF validation errors from the selected runtime registration
            serializer.
components:
  schemas:
    ProducerRegistration:
      type: object
      description: you need to set "salespartner" context
      properties:
        masked_credit_card:
          type: string
          maxLength: 16
        credit_card_validity_date:
          type: string
          format: date
        sepa_date:
          type: string
          format: date
        sepa_reference:
          type: string
        payment_method:
          allOf:
            - $ref: '#/components/schemas/PaymentMethodEnum'
          default: direct_debit
        deliv_address_street:
          type: string
        deliv_address_house_number:
          type: string
          maxLength: 10
        deliv_address_addition:
          type: string
        deliv_address_zipcode:
          type: string
          maxLength: 5
        deliv_address_city:
          type: string
        bill_address_street:
          type: string
        bill_address_house_number:
          type: string
          maxLength: 10
        bill_address_addition:
          type: string
        bill_address_zipcode:
          type: string
          maxLength: 5
        bill_address_city:
          type: string
        is_business:
          type: boolean
        is_small_business:
          type: boolean
        company_name:
          type: string
        salutation:
          $ref: '#/components/schemas/SalutationEnum'
        title:
          default: ''
          oneOf:
            - $ref: '#/components/schemas/TitleEnum'
            - $ref: '#/components/schemas/BlankEnum'
        first_name:
          type: string
        last_name:
          type: string
        birthday:
          type: string
          format: date
        telephone:
          type: string
        email:
          type: string
          format: email
        accounting_email:
          type: string
          format: email
        tax_number:
          type: string
          maxLength: 13
        preferred_delivery_start:
          type: string
        subscription_reason:
          $ref: '#/components/schemas/SubscriptionReasonEnum'
        meter_id:
          type: string
        meteringpoint_id:
          type: string
        bank_data_first_name:
          type: string
        bank_data_last_name:
          type: string
        bank_data_iban:
          type: string
        bank_data_bic:
          type: string
        saas_customer_id:
          type: string
          maxLength: 32
        saas_contract_id:
          type: string
          maxLength: 64
        third_party_salespartner:
          type: string
        free_amount:
          type: integer
          minimum: 0
        consumption_before_battery_installation:
          type: integer
          minimum: 0
        order_date:
          type: string
          format: date
        username:
          type: string
          maxLength: 50
        saas_customer_lead_id:
          type: string
          maxLength: 255
        has_intelligent_meter:
          type: boolean
          nullable: true
        order_smart_meter:
          type: boolean
          nullable: true
        order_smart_meter_provider_id:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        product_specifics:
          type: object
          additionalProperties: {}
        former_supplier_contract_terminated:
          type: boolean
          default: false
        former_supplier_contract_termination_date:
          type: string
          format: date
          nullable: true
        is_reverse_charge:
          type: boolean
        market_location_identifier:
          type: string
        tranche:
          type: string
        previous_provider:
          type: string
        consumer_saas_contract_id:
          type: string
          maxLength: 18
        production_type:
          $ref: '#/components/schemas/ProductionType173Enum'
        plant_specifics:
          type: object
          additionalProperties: {}
        product_name:
          type: string
        lead_id:
          type: string
        request_number_vnb:
          type: string
        former_form_of_compensation:
          $ref: '#/components/schemas/FormerFormOfCompensationEnum'
        consumption_by_owner_percentage_default:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_fri:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_mon:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_sat:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_sun:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_thu:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_tue:
          type: number
          format: double
          maximum: 100
          minimum: 0
        consumption_by_owner_percentage_wed:
          type: number
          format: double
          maximum: 100
          minimum: 0
        plant_status:
          type: string
          default: Z91
          maxLength: 3
        status_mgmt_bonus:
          type: string
          default: Z97
          maxLength: 3
        documents:
          $ref: '#/components/schemas/RegistrationDocument'
        control_resource:
          $ref: '#/components/schemas/ProducerRegistrationControlResource'
        technical_resources:
          type: array
          items:
            $ref: '#/components/schemas/ProducerRegistrationTechnicalResource'
      required:
        - deliv_address_city
        - deliv_address_house_number
        - deliv_address_street
        - deliv_address_zipcode
        - email
        - first_name
        - is_business
        - is_reverse_charge
        - last_name
        - plant_specifics
        - production_type
        - salutation
        - subscription_reason
    ProducerRegistrationResponse:
      type: object
      properties:
        saas_customer_id:
          type: string
          readOnly: true
        saas_contract_id:
          type: string
          readOnly: true
      required:
        - saas_contract_id
        - saas_customer_id
    PaymentMethodEnum:
      enum:
        - credit_card_display_only
        - direct_debit
        - bank_transfer
        - credit_card
        - no_payment_method
      type: string
      description: |-
        * `credit_card_display_only` - Kreditkarte (nur Anzeige)
        * `direct_debit` - SEPA Einzugsermächtigung
        * `bank_transfer` - Überweisung
        * `credit_card` - Kreditkarte
        * `no_payment_method` - Keine Zahlmethode
    SalutationEnum:
      enum:
        - Frau
        - Herr
        - Eheleute
        - Divers
      type: string
      description: |-
        * `Frau` - Frau
        * `Herr` - Herr
        * `Eheleute` - Eheleute
        * `Divers` - Divers
    TitleEnum:
      enum:
        - Dr.
        - Prof.
        - Prof. Dr.
      type: string
      description: |-
        * `` - Titel
        * `Dr.` - Dr.
        * `Prof.` - Prof.
        * `Prof. Dr.` - Prof. Dr.
    BlankEnum:
      enum:
        - ''
    SubscriptionReasonEnum:
      enum:
        - E01
        - E02
        - E03
      type: string
      description: |-
        * `E01` - Ein-/Auszug (Umzug)
        * `E02` - Einzug/Neuanlage
        * `E03` - Wechsel
    ProductionType173Enum:
      enum:
        - solar
        - wind
        - gas
        - water
        - battery
      type: string
      description: |-
        * `solar` - Solar
        * `wind` - Wind
        * `gas` - Biogas
        * `water` - Wasser
        * `battery` - Batterie
    FormerFormOfCompensationEnum:
      enum:
        - eeg_feed_in_compensation
        - direct_marketing
      type: string
      description: |-
        * `eeg_feed_in_compensation` - EEG-Einspeisevergütung
        * `direct_marketing` - Direktvermarktung
    RegistrationDocument:
      type: object
      properties:
        remote_controllability_declaration:
          type: integer
        remote_controllability_protocol:
          type: integer
        remote_controllability_agreement:
          type: integer
        initial_assignment_agreement:
          type: integer
        installation_receipt:
          type: integer
    ProducerRegistrationControlResource:
      type: object
      properties:
        operator:
          type: string
          title: Marktpartner ID
        control_resource_id:
          type: string
          maxLength: 11
          minLength: 11
        use_case:
          $ref: '#/components/schemas/ProducerRegistrationControlResourceUseCaseEnum'
      required:
        - control_resource_id
        - operator
        - use_case
    ProducerRegistrationTechnicalResource:
      type: object
      properties:
        control_resource:
          type: string
          maxLength: 11
          minLength: 11
        market_location_feed:
          type: string
          maxLength: 11
          minLength: 11
        market_location_supply:
          type: string
          maxLength: 11
          minLength: 11
        technical_resource_id:
          type: string
          maxLength: 11
          minLength: 11
      required:
        - technical_resource_id
    ProducerRegistrationControlResourceUseCaseEnum:
      enum:
        - 1
        - 2
      type: integer
      description: |-
        * `1` - Duldungsfall
        * `2` - Aufforderungsfall

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.